Skip to main content
GET
/
v3
/
property-search-results
cURL
curl --request GET \
  --url https://api.ctrl-hub.com/v3/property-search-results \
  --header 'X-Session-Token: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {
        "address": {
          "description": "<string>",
          "department": "<string>",
          "organisation": "<string>",
          "number": "<string>",
          "name": "<string>",
          "thoroughfare": "<string>",
          "dependent_thoroughfare": "<string>",
          "post_town": "<string>",
          "postcode": "<string>",
          "po_box": "<string>",
          "country": "<string>"
        },
        "uprn": 123
      },
      "meta": {
        "relevenance": 123,
        "score": 123
      }
    }
  ],
  "meta": {
    "pagination": {
      "counts": {
        "pages": 123,
        "resources": 123
      },
      "current_page": 123,
      "offsets": {
        "next": 123,
        "previous": 123
      },
      "requested": {
        "limit": 123,
        "offset": 123
      }
    },
    "features": {
      "include": {
        "options": [
          "<string>"
        ]
      }
    }
  },
  "jsonapi": {
    "version": "<string>"
  }
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

filter
string
default:""

Filters the response data based on the value provided.

For more information on using named filters, see the docs

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

Get a list of results.

JSON API response object

data
A list of results · object[]
required
meta
object
required
jsonapi
object
required